Summary:	Xinerama extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia Xinerama
Name:		xorg-lib-libXinerama
Version:	1.1.5
Release:	1%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.xz
# Source0-md5:	228c877558c265d2f63c56a03f7d3f21
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel >= 1.1.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXinerama < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xinerama extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia Xinerama.

%package devel
Summary:	Header files for libXinerama library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXinerama
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xineramaproto-devel >= 1.1.99.1
Obsoletes:	libXinerama-devel < 1.1

%description devel
Xinerama extension library.

This package contains the header files needed to develop programs that
use libXinerama.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia Xinerama.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXinerama.

%package static
Summary:	Static libXinerama library
Summary(pl.UTF-8):	Biblioteka statyczna libXinerama
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXinerama-static < 1.1

%description static
Xinerama extension library.

This package contains the static libXinerama library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia Xinerama.

Pakiet zawiera statyczną bibliotekę libXinerama.

%prep
%setup -q -n libXinerama-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXinerama.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXinerama.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXinerama.so
%{_libdir}/libXinerama.la
%{_includedir}/X11/extensions/Xinerama.h
%{_includedir}/X11/extensions/panoramiXext.h
%{_pkgconfigdir}/xinerama.pc
%{_mandir}/man3/Xinerama*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXinerama.a
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXinerama.git;a=log;h=master

* Thu Nov 03 2022 Jakub Bogusz <qboosh@pld-linux.org> ed2ed73
- updated to 1.1.5

* Tue Jul 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 0916cb7
- updated to 1.1.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6cd4a2c
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 34d064f
- fix files

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 12a9c76
- unified .so man links fix wrt "x" suffix

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1af590b
- up to 1.1.3; fixes CVE-2013-1985

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> e057193
- updated to 1.1.2

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> a6f416f
- updated to 1.1.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 6ec98fb
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d60cdaa
- updated util-macros version and -devel dep on xineramaproto
- more verboase files, added README to doc

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> de4e206
- up to 1.1

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f792c2f
- up to 1.0.99.1

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 20cf34a
- release 2

* Thu Mar 06 2008 Jakub Bogusz <qboosh@pld-linux.org> e592623
- ghost soname symlink
- BR util-macros 1.1

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 805f9ad
- up to 1.0.3

* Sat Mar 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c9faffa
- up to 1.0.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 05ea3fd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f4ba75
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a60b2c4
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0948859
- rebuild

